# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
ASFLAGS = @ASFLAGS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIR = @DATADIR@
DFB_CFLAGS_OMIT_FRAME_POINTER = @DFB_CFLAGS_OMIT_FRAME_POINTER@
DFB_INTERNAL_CFLAGS = @DFB_INTERNAL_CFLAGS@
DFB_LDFLAGS = @DFB_LDFLAGS@
DIRECTFB_BINARY_AGE = @DIRECTFB_BINARY_AGE@
DIRECTFB_CSOURCE = @DIRECTFB_CSOURCE@
DIRECTFB_INTERFACE_AGE = @DIRECTFB_INTERFACE_AGE@
DIRECTFB_MAJOR_VERSION = @DIRECTFB_MAJOR_VERSION@
DIRECTFB_MICRO_VERSION = @DIRECTFB_MICRO_VERSION@
DIRECTFB_MINOR_VERSION = @DIRECTFB_MINOR_VERSION@
DIRECTFB_VERSION = @DIRECTFB_VERSION@
DIRECT_BUILD_DEBUG = @DIRECT_BUILD_DEBUG@
DIRECT_BUILD_DEBUGS = @DIRECT_BUILD_DEBUGS@
DIRECT_BUILD_GETTID = @DIRECT_BUILD_GETTID@
DIRECT_BUILD_TEXT = @DIRECT_BUILD_TEXT@
DIRECT_BUILD_TRACE = @DIRECT_BUILD_TRACE@
DLLTOOL = @DLLTOOL@
DYNLIB = @DYNLIB@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_PROVIDER = @FREETYPE_PROVIDER@
FUSION_BUILD_MULTI = @FUSION_BUILD_MULTI@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GIF_PROVIDER = @GIF_PROVIDER@
HAVE_LIB = @HAVE_LIB@
HAVE_LINUX = @HAVE_LINUX@
INCLUDEDIR = @INCLUDEDIR@
INTERNALINCLUDEDIR = @INTERNALINCLUDEDIR@
JPEG_PROVIDER = @JPEG_PROVIDER@
LIB = @LIB@
LIBJPEG = @LIBJPEG@
LIBPNG = @LIBPNG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MAN2HTML = @MAN2HTML@
MODULEDIR = @MODULEDIR@
MODULEDIRNAME = @MODULEDIRNAME@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OSX_LIBS = @OSX_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PNG_PROVIDER = @PNG_PROVIDER@
RANLIB = @RANLIB@
RC = @RC@
RUNTIME_SYSROOT = @RUNTIME_SYSROOT@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SOPATH = @SOPATH@
STRIP = @STRIP@
SYSFS_LIBS = @SYSFS_LIBS@
THREADFLAGS = @THREADFLAGS@
THREADLIB = @THREADLIB@
VERSION = @VERSION@
VNC_CFLAGS = @VNC_CFLAGS@
VNC_CONFIG = @VNC_CONFIG@
VNC_LIBS = @VNC_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
ZLIB_LIBS = @ZLIB_LIBS@

INCLUDES =  	-I$(top_builddir)/include		-I$(top_builddir)/lib			-I$(top_srcdir)/include			-I$(top_srcdir)/lib


AM_CPPFLAGS =  	-DDATADIR=\"${RUNTIME_SYSROOT}@DATADIR@\"		-DMODULEDIR=\"${RUNTIME_SYSROOT}@MODULEDIR@\"


pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = direct.pc

noinst_PROGRAMS = dtest

dtest_SOURCES = dtest.c
dtest_LDADD = libdirect.la
dtest_CFLAGS = $(CPPFLAGS)

EXTRA_DIST =  	ppcasm_memcpy.S				ppcasm_memcpy_cachable.S		ppcasm_memcpy.h				ppc_asm.h

@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@ppcasm_sources = ppcasm_memcpy.S ppcasm_memcpy_cachable.S
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@ppcasm_sources = ppcasm_memcpy.S

@BUILDPPCASM_TRUE@ppcasm_headers = ppcasm_memcpy.h ppc_asm.h

includedir = @INCLUDEDIR@/direct

include_HEADERS =  	$(ppcasm_headers)			build.h					clock.h					conf.h					cpu_accel.h				debug.h					direct.h				hash.h					interface.h				interface_implementation.h		list.h					log.h					mem.h					memcpy.h				messages.h				modules.h				serial.h				signals.h				stream.h				system.h				thread.h				trace.h					tree.h					types.h					utf8.h					util.h


lib_LTLIBRARIES = libdirect.la

libdirect_la_SOURCES =  	$(ppcasm_sources)		clock.c				conf.c				cpu_accel.c			debug.c				direct.c			hash.c				interface.c			list.c				log.c				mem.c				memcpy.c			messages.c			modules.c			signals.c			stream.c			system.c			trace.c				tree.c				thread.c			utf8.c				util.c


libdirect_la_LDFLAGS =  	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)		-release $(LT_RELEASE)						$(DFB_LDFLAGS)

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES =  build.h direct.pc
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libdirect_la_LIBADD = 
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@libdirect_la_OBJECTS =  clock.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@conf.lo cpu_accel.lo debug.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@direct.lo hash.lo interface.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@list.lo log.lo mem.lo memcpy.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@messages.lo modules.lo signals.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@stream.lo system.lo trace.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_TRUE@tree.lo thread.lo utf8.lo util.lo
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@libdirect_la_OBJECTS =  \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@ppcasm_memcpy.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@ppcasm_memcpy_cachable.lo clock.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@conf.lo cpu_accel.lo debug.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@direct.lo hash.lo interface.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@list.lo log.lo mem.lo memcpy.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@messages.lo modules.lo signals.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@stream.lo system.lo trace.lo tree.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_TRUE@thread.lo utf8.lo util.lo
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@libdirect_la_OBJECTS =  clock.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@conf.lo cpu_accel.lo debug.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@direct.lo hash.lo interface.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@list.lo log.lo mem.lo memcpy.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@messages.lo modules.lo signals.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@stream.lo system.lo trace.lo \
@BUILDPPCASM_FALSE@@HAVE_LINUX_FALSE@tree.lo thread.lo utf8.lo util.lo
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@libdirect_la_OBJECTS =  \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@ppcasm_memcpy.lo clock.lo conf.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@cpu_accel.lo debug.lo direct.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@hash.lo interface.lo list.lo log.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@mem.lo memcpy.lo messages.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@modules.lo signals.lo stream.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@system.lo trace.lo tree.lo \
@BUILDPPCASM_TRUE@@HAVE_LINUX_FALSE@thread.lo utf8.lo util.lo
noinst_PROGRAMS =  dtest$(EXEEXT)
PROGRAMS =  $(noinst_PROGRAMS)

dtest_OBJECTS =  dtest.$(OBJEXT)
dtest_DEPENDENCIES =  libdirect.la
dtest_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(pkgconfig_DATA)

HEADERS =  $(include_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in build.h.in direct.pc.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libdirect_la_SOURCES) $(dtest_SOURCES)
OBJECTS = $(libdirect_la_OBJECTS) $(dtest_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps lib/direct/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

build.h: $(top_builddir)/config.status build.h.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
direct.pc: $(top_builddir)/config.status direct.pc.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libdirect.la: $(libdirect_la_OBJECTS) $(libdirect_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libdirect_la_LDFLAGS) $(libdirect_la_OBJECTS) $(libdirect_la_LIBADD) $(LIBS)

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

dtest$(EXEEXT): $(dtest_OBJECTS) $(dtest_DEPENDENCIES)
	@rm -f dtest$(EXEEXT)
	$(LINK) $(dtest_LDFLAGS) $(dtest_OBJECTS) $(dtest_LDADD) $(LIBS)

install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgconfigdir)
	@list='$(pkgconfig_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgconfigdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgconfigdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(pkgconfigdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(pkgconfigdir)/$$p; \
	  fi; fi; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	list='$(pkgconfig_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(pkgconfigdir)/$$p; \
	done

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = lib/direct

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
clock.lo clock.o : clock.c ../../config.h clock.h debug.h build.h conf.h \
	types.h ../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h
conf.lo conf.o : conf.c ../../config.h build.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h
cpu_accel.lo cpu_accel.o : cpu_accel.c ../../config.h cpu_accel.h \
	../../include/dfb_types.h debug.h build.h conf.h types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	log.h messages.h system.h util.h
debug.lo debug.o : debug.c ../../config.h build.h clock.h debug.h conf.h \
	types.h ../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h list.h thread.h trace.h
direct.lo direct.o : direct.c ../../config.h debug.h build.h conf.h \
	types.h ../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h direct.h signals.h thread.h
dtest.o: dtest.c cpu_accel.h ../../include/dfb_types.h debug.h build.h \
	conf.h types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h direct.h mem.h memcpy.h trace.h
hash.lo hash.o : hash.c ../../config.h debug.h build.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h hash.h mem.h
interface.lo interface.o : interface.c ../../config.h debug.h build.h \
	conf.h types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	log.h messages.h system.h util.h interface.h mem.h list.h \
	memcpy.h trace.h
list.lo list.o : list.c ../../config.h list.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h debug.h build.h conf.h log.h \
	messages.h system.h util.h
log.lo log.o : log.c ../../config.h debug.h build.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h mem.h
mem.lo mem.o : mem.c ../../config.h build.h debug.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h mem.h memcpy.h trace.h
memcpy.lo memcpy.o : memcpy.c ../../config.h ../../include/dfb_types.h \
	conf.h types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h cpu_accel.h debug.h build.h \
	log.h messages.h system.h util.h mem.h memcpy.h
messages.lo messages.o : messages.c ../../config.h build.h log.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h messages.h conf.h trace.h \
	util.h
modules.lo modules.o : modules.c ../../config.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h debug.h build.h log.h \
	messages.h system.h util.h mem.h modules.h list.h
signals.lo signals.o : signals.c ../../config.h clock.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h debug.h build.h log.h \
	messages.h system.h util.h list.h mem.h signals.h trace.h
stream.lo stream.o : stream.c ../../config.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h mem.h build.h memcpy.h \
	messages.h conf.h debug.h log.h system.h util.h stream.h
system.lo system.o : system.c ../../config.h build.h system.h
thread.lo thread.o : thread.c ../../config.h debug.h build.h conf.h \
	types.h ../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h log.h messages.h system.h \
	util.h list.h mem.h signals.h thread.h
trace.lo trace.o : trace.c ../../config.h build.h list.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h debug.h conf.h log.h \
	messages.h system.h util.h memcpy.h thread.h trace.h
tree.lo tree.o : tree.c ../../config.h mem.h build.h tree.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h
utf8.lo utf8.o : utf8.c ../../config.h utf8.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h
util.lo util.o : util.c ../../config.h messages.h build.h conf.h types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h util.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES install-exec-local
install-exec: install-exec-am

install-data-am: install-pkgconfigDATA install-includeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-pkgconfigDATA \
		uninstall-includeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS) all-local
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(pkgconfigdir) \
		$(DESTDIR)$(includedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-noinstPROGRAMS \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool \
		clean-noinstPROGRAMS clean-tags clean-generic \
		mostlyclean-am clean-local

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-noinstPROGRAMS \
		distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-noinstPROGRAMS maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool mostlyclean-noinstPROGRAMS \
distclean-noinstPROGRAMS clean-noinstPROGRAMS \
maintainer-clean-noinstPROGRAMS uninstall-pkgconfigDATA \
install-pkgconfigDATA uninstall-includeHEADERS install-includeHEADERS \
tags mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-local install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-local all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# If the old location isn't cleared, builds of external modules fail
install-exec-local:
	rm -rf $(DESTDIR)$(INTERNALINCLUDEDIR)/direct

#
#

@BUILD_STATIC_TRUE@clean-local:
@BUILD_STATIC_TRUE@	rm -f libdirect_fixed.a

@BUILD_STATIC_TRUE@all-local: libdirect_fixed.a

@BUILD_STATIC_TRUE@libdirect_fixed.a: .libs/libdirect.a
@BUILD_STATIC_TRUE@	rm -f libdirect_fixed.a
@BUILD_STATIC_TRUE@	${AR} cru libdirect_fixed.a `find . -name "*.o" | grep -v '.libs' | grep -v dtest`
@BUILD_STATIC_TRUE@	${RANLIB} libdirect_fixed.a
@BUILD_STATIC_TRUE@	cp -pf libdirect_fixed.a .libs/libdirect.a

@BUILD_STATIC_TRUE@.libs/libdirect.a: libdirect.la

@BUILD_STATIC_FALSE@clean-local:

@BUILD_STATIC_FALSE@all-local:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
